# Generated by Django 3.1.1 on 2020-09-21 16:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Creneau',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('debut', models.DateTimeField(verbose_name='Début du créneau')),
                ('fin', models.DateTimeField(verbose_name='Fin du créneau')),
            ],
        ),
        migrations.CreateModel(
            name='Module',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('intitule', models.CharField(max_length=150, verbose_name='Intitulé du module')),
                ('description', models.TextField(verbose_name='Descrption détaillée du module')),
                ('niveau', models.PositiveIntegerField(verbose_name='Niveau du module')),
                ('places_max', models.PositiveIntegerField(default=0, verbose_name='Quota de personnes')),
                ('places_prises', models.PositiveIntegerField(default=0, verbose_name='Nombre de places occupées')),
                ('creneau', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='module', to='WEVAPI.creneau')),
            ],
        ),
        migrations.CreateModel(
            name='Participant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=50, verbose_name='Nom')),
                ('prenom', models.CharField(max_length=50, verbose_name='Prénom')),
                ('mail', models.EmailField(max_length=254, verbose_name='Adresse email')),
                ('tel', models.CharField(blank=True, max_length=50, verbose_name='Téléphone')),
                ('num_etudiant', models.CharField(blank=True, max_length=50, verbose_name='Numéro étudiant')),
                ('annee_etude', models.CharField(choices=[('1A', '1A'), ('2A', '2A'), ('3A', '3A'), ('4A', '4A'), ('5A', '5A'), ('6A+', '6A+'), ('Alumni', 'Alumni'), ('Autre', 'Autre')], max_length=10, verbose_name="Année d'étude")),
                ('departement', models.CharField(choices=[('BS', 'BS'), ('GE', 'GE'), ('GI', 'GI'), ('GEN', 'GEN'), ('IF', 'IF'), ('TC', 'TC'), ('GCU', 'GCU'), ('GM', 'GM'), ('SGM', 'SGM'), ('FIMI', 'FIMI'), ('Autre', 'Autre')], max_length=10, verbose_name='Département')),
                ('assos', models.CharField(blank=True, max_length=200, verbose_name='Asso représentée')),
                ('modules', models.ManyToManyField(blank=True, related_name='participant', to='WEVAPI.Module')),
            ],
        ),
    ]
